* {box-sizing: border-box; margin: 0; padding: 0;}
html {font-family: arial;}

.nav {
    background-color: grey;
    text-align: right;
    line-height: 70px;
    height: 100vh;
}

.menu {
    text-align: left;
    background-color: #444;
    display: none;
}

label {
    margin: 0 40px 0 0;
    font-size: 30px;
    line-height: 70px;
    cursor: pointer;
    color: white;
    width: 30px;
}

.menu a {
    text-decoration: none;
    font-size: 30px;
    padding: 0 30px;
    line-height: 70px;
    color: white;
    width: 100%;
}


.menu a:hover {
    background-color: #222;
}

span {
    color: #54d17a;
}


#toggle {
    display: none;
}
#toggle:checked + .menu {
    display: flex;
    flex-direction: column;
}


@media only screen and (min-width: 768px) {
    label {
        display: none;
    }

    .menu {
        display: flex;
        flex-direction: row;
        justify-content: flex-end; 
    }

    .menu a {
        font-size: 15px;
        width: auto;
    }
}

